=== spdlog/CMakeLists.txt ===
project (spdlog)

set(SOURCES
  dummy.cpp
)

add_library(${PROJECT_NAME} STATIC ${SOURCES})
target_include_directories(${PROJECT_NAME} SYSTEM PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
