=== debian/changelog ===
cryfs (0.9.6-1) unstable; urgency=medium

  * New upstream version.
  * Compile with the remote update check disabled

 -- David Steele <steele@debian.org>  Mon, 17 Oct 2016 07:44:14 -0400

cryfs (0.9.5-5) unstable; urgency=medium

  * Support libcrypto++ 5.6.4.

 -- David Steele <steele@debian.org>  Sun, 09 Oct 2016 22:46:06 -0400

cryfs (0.9.5-4) unstable; urgency=low

  * Initial release. (Closes: #837127)
  * More copyright detail

 -- David Steele <steele@debian.org>  Fri, 16 Sep 2016 20:13:34 -0400

cryfs (0.9.5-3) URELEASED; urgency=low

  * Changes to support arch any.
  * Found another copyright to log.
  * Initial release. (Closes: #837127)

 -- David Steele <steele@debian.org>  Wed, 14 Sep 2016 10:29:30 -0400

cryfs (0.9.5-2) UNRELEASED; urgency=medium

  * Update copyright file.
  * Initial release. (Closes: #837127)

 -- David Steele <steele@debian.org>  Mon, 12 Sep 2016 18:48:10 -0400

cryfs (0.9.5-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #837127)

 -- David Steele <steele@debian.org>  Thu, 08 Sep 2016 14:23:42 -0400
