=== debian/control ===
Source: cryfs
Maintainer: David Steele <steele@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libcurl4-openssl-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libboost-chrono-dev,
               libboost-program-options-dev,
               libboost-thread-dev,
               libcrypto++-dev (>= 5.6.4),
               libssl-dev,
               libfuse-dev,
               python-all,
               ruby-ronn
Standards-Version: 3.9.8
Vcs-Browser: https://github.com/davesteele/cryfs
Vcs-Git: https://github.com/davesteele/cryfs.git -b debian
Homepage: https://www.cryfs.org/

Package: cryfs
Architecture: any
Depends: fuse,
         libcrypto++6,
         libcurl3,
         libfuse2,
         libgcc1,
         libstdc++6 (>= 6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: encrypt your files and store them in the cloud
 CryFS encrypts your files, so you can safely store them anywhere. It works
 well together with cloud services like Dropbox, iCloud, OneDrive and others.
