## cryfs 0.9.7

=== debian/changelog ===
cryfs (0.9.7-2) unstable; urgency=medium

  * Fix FTBFS due to macro overload in spdlog (Closes: #875640).
    Thanks Victor Zverovich.
  * Save the upstream tar signature for archiving.

 -- David Steele <steele@debian.org>  Tue, 12 Sep 2017 20:55:01 -0400

cryfs (0.9.7-1) unstable; urgency=medium

  * New upstream version.
  * Build tests by default, and add CI testing.
  * Compiles with gcc7 (Closes: 853360).

 -- David Steele <steele@debian.org>  Fri, 19 May 2017 09:03:19 -0400
