=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBoost_USE_STATIC_LIBs=off \
-                             -DCRYFS_UPDATE_CHECKS=off
+                             -DCRYFS_UPDATE_CHECKS=off -DBUILD_TESTING=True
 
 CHDATE = $(shell grep "\-\-" debian/changelog | head -1 | sed 's/.\+, //' | sed 's/...\:.\+//' )
 DT = $(shell date -d "${CHDATE}" "+%Y-%m-%d")
@@ -27,4 +27,4 @@
 get-orig-source:  $(info I: $(PKG)_$(VER))
 	@echo "# Downloading..."
 	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PK)
-	rm -f $(PKG)-$(VER).tar.gz.pgp
+	mv $(PKG)-$(VER).tar.gz.pgp $(PKG)_$(VER).orig.tar.gz.asc
