=== cryfs-cli/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 project (cryfs-cli)
+INCLUDE(GNUInstallDirs)
 
 set(SOURCES
         Cli.cpp
@@ -26,6 +27,6 @@
 target_activate_cpp14(${PROJECT_NAME}_bin)
 
 install(TARGETS ${PROJECT_NAME}_bin
-        DESTINATION bin
+        DESTINATION ${CMAKE_INSTALL_BINDIR}
         CONFIGURATIONS Release
 )
