=== debian/changelog ===
cryfs (0.9.9-1ubuntu1) bionic; urgency=medium

  * Drop hard-coded dependency on libcurl3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 01 Mar 2018 09:20:37 -0800

cryfs (0.9.9-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:48:42 +0000

cryfs (0.9.9-1) unstable; urgency=medium

  *  New upstream version.

 -- David Steele <steele@debian.org>  Wed, 07 Feb 2018 20:54:27 -0500

cryfs (0.9.8-1) unstable; urgency=medium

  * New upstream version.
  * Use the upstream man page.

 -- David Steele <steele@debian.org>  Tue, 16 Jan 2018 20:13:37 -0500
