=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: cryfs
-Maintainer: David Steele <steele@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Steele <steele@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                libcurl4-openssl-dev,
                libboost-filesystem-dev,
@@ -14,9 +15,7 @@
                libssl-dev,
                libfuse-dev,
                python-all,
-               ruby-ronn
-Standards-Version: 3.9.8
-Testsuite: autopkgtest
+Standards-Version: 4.1.2
 Vcs-Browser: https://github.com/davesteele/cryfs
 Vcs-Git: https://github.com/davesteele/cryfs.git -b debian
 Homepage: https://www.cryfs.org/
@@ -25,7 +24,6 @@
 Architecture: any
 Depends: fuse,
          libcrypto++6,
-         libcurl3,
          libfuse2,
          libgcc1,
          libstdc++6 (>= 6),
