=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 override_dh_auto_build:
 	dh_auto_build
 	cp obj*/src/cryfs-cli/cryfs .
-	ronn --date=${DT} debian/*.ronn
 
 .PHONY get-orig-source:
 get-orig-source:  $(info I: $(PKG)_$(VER))
