=== debian/tests/control ===

# cryfs-cli-test and fspp-test are disabled for requiring fuse

Tests: blobstore-test, blockstore-test, parallelaccessstore-test, cryfs-test, gitversion-test
Depends: @, @builddeps@
Restrictions: build-needed
