=== debian/changelog ===
cryfs (0.9.10-2) unstable; urgency=medium

  * Avoid gcc segfault by skipping mipsel test build.

 -- David Steele <steele@debian.org>  Fri, 25 Jan 2019 20:22:13 -0500

cryfs (0.9.10-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Tue, 22 Jan 2019 21:20:28 -0500

cryfs (0.9.9-2) unstable; urgency=high

  * Remove hard-coded shared library dependencies (Closes: #900357, #900435).

 -- David Steele <dsteele@gmail.com>  Tue, 05 Jun 2018 19:47:03 -0400
