=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cryfs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Steele <steele@debian.org>
+Maintainer: David Steele <steele@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 10),
@@ -23,10 +22,6 @@
 Package: cryfs
 Architecture: any
 Depends: fuse,
-         libcrypto++6,
-         libfuse2,
-         libgcc1,
-         libstdc++6 (>= 6),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: encrypt your files and store them in the cloud
