=== debian/rules ===
#!/usr/bin/make -f

ARCH := $(shell uname -m)

%:
	dh $@


override_dh_auto_configure:
	if [ "$(ARCH)" = "mipsel" ] ; then \
	    dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBoost_USE_STATIC_LIBs=off \
                             -DCRYFS_UPDATE_CHECKS=off -DBUILD_TESTING=False; \
	else \
	    dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBoost_USE_STATIC_LIBs=off \
                             -DCRYFS_UPDATE_CHECKS=off -DBUILD_TESTING=True; \
	fi

CHDATE = $(shell grep "\-\-" debian/changelog | head -1 | sed 's/.\+, //' | sed 's/...\:.\+//' )
DT = $(shell date -d "${CHDATE}" "+%Y-%m-%d")

override_dh_auto_build:
	dh_auto_build
	cp obj*/src/cryfs-cli/cryfs .
