=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/(.*)/$1.asc/ \
https://github.com/cryfs/cryfs/releases .*/download/([\.0-9]+)/cryfs-[\.0-9]+\.tar\.gz
