## cryfs 0.9.11

=== debian/changelog ===
cryfs (0.9.11-1+deepin) unstable; urgency=medium

  * upgrade version

 -- Gong Heng <gongheng@uniontech.com>  Mon, 9 May 2022 16:30:00 +0800

cryfs (0.9.10-3+deepin) unstable; urgency=medium

  * Introduce openssl library
  * introduced the SM4 secret algorithm

 -- Gong Heng <gongheng@uniontech.com>  Mon, 9 May 2022 16:30:00 +0800
