=== debian/control ===
--- 
+++ 
@@ -4,6 +4,8 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                cmake,
+               pkg-config,
+               openssl,
                libcurl4-openssl-dev,
                libboost-filesystem-dev,
                libboost-system-dev,
